## SAR enumerations and flags SAR enumerations and flags |

## Functions

const gchar * | qmi_sar_rf_state_get_string ()

## Types and Values

enum | QmiSarRfState

## Object Hierarchy

        GEnum
        ╰── QmiSarRfState

## Description

This section defines enumerations and flags used in the SAR service interface.

## Functions

### qmi_sar_rf_state_get_string ()

    const gchar *
    qmi_sar_rf_state_get_string (QmiSarRfState val);

Gets the nickname string for the QmiSarRfState specified at `val` .

#### Parameters

val | a QmiSarRfState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.28

## Types and Values

### enum QmiSarRfState

SAR RF state. Each RF state corresponds to a TX power, and the mapping between TX power and RF state is dictated by NV items.

#### Members

QMI_SAR_RF_STATE_0 | RF State 0 |
QMI_SAR_RF_STATE_1 | RF State 1 |
QMI_SAR_RF_STATE_2 | RF State 2 |
QMI_SAR_RF_STATE_3 | RF State 3 |
QMI_SAR_RF_STATE_4 | RF State 4 |
QMI_SAR_RF_STATE_5 | RF State 5 |
QMI_SAR_RF_STATE_6 | RF State 6 |
QMI_SAR_RF_STATE_7 | RF State 7 |
QMI_SAR_RF_STATE_8 | RF State 8 |
QMI_SAR_RF_STATE_9 | RF State 9 |
QMI_SAR_RF_STATE_10 | RF State 10 |
QMI_SAR_RF_STATE_11 | RF State 11 |
QMI_SAR_RF_STATE_12 | RF State 12 |
QMI_SAR_RF_STATE_13 | RF State 13 |
QMI_SAR_RF_STATE_14 | RF State 14 |
QMI_SAR_RF_STATE_15 | RF State 15 |
QMI_SAR_RF_STATE_16 | RF State 16 |
QMI_SAR_RF_STATE_17 | RF State 17 |
QMI_SAR_RF_STATE_18 | RF State 18 |
QMI_SAR_RF_STATE_19 | RF State 19 |
QMI_SAR_RF_STATE_20 | RF State 20 |

Since: 1.28